# $Revision: 1.41 $, $Date: 2009/10/08 15:31:28 $
# TODO
# - Source1 contains X11R6 paths and the scripts inside should be reviewed for
#   security issues
Summary:	xdm - X Display Manager with support for XDMCP, host chooser
Summary(pl.UTF-8):	XDM - zarządca ekranów z obsługą XDMCP i wybieraniem hostów
Summary(ru.UTF-8):	Менеджер дисплея X
Summary(uk.UTF-8):	Менеджер дисплею X
Name:		xorg-app-xdm
Version:	1.1.9
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xdm-%{version}.tar.bz2
# Source0-md5:	030ae4bd9b8d428749d68bfdf56ce8a5
Source1:	ftp://ftp.pld-linux.org/software/xinit/xdm-xinitrc-0.2.tar.bz2
# Source1-md5:	0a15b1c374256b5cad7961807baa3896
Source2:	xdm.pamd
Source3:	xdm.init
Source4:	xdm.sysconfig
Patch0:		%{name}-Xsession.patch
Patch1:		%{name}-pam_tty.patch
Patch2:		%{name}-config.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,preun):	/sbin/chkconfig
Requires:	mktemp
Requires:	pam >= 0.99.7.1
Requires:	rc-scripts
Requires:	xorg-app-xconsole
Requires:	xorg-app-xrdb
Requires:	xorg-app-xsetroot
Requires:	xorg-app-sessreg
Requires:	xorg-lib-libXt >= 1.0.0
Requires:	xterm
Provides:	XDM
Provides:	xdm = %{version}-%{release}
Obsoletes:	X11-xdm < 1:7.0.0
Obsoletes:	XFree86-xdm < 1:7.0.0
Obsoletes:	xdm < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xdm manages a collection of X displays, which may be on the local host
or remote servers. The design of xdm was guided by the needs of X
terminals as well as the X Consortium standard XDMCP, the X Display
Manager Control Protocol.

%description -l pl.UTF-8
Xdm zarządza zestawem ekranów X, które mogą być lokalne lub na
zdalnych serwerach. Został zaprojektowany zgodnie z potrzebami X
terminali oraz standardem X Consortium XDMCP.

%description -l ru.UTF-8
Менеджер дисплея X.

%description -l uk.UTF-8
Менеджер дисплею X.

%prep
%setup -q -n xdm-%{version} -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	DEF_SYSTEM_PATH="/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin" \
	DEF_USER_PATH="/usr/local/bin:/usr/bin:/bin" \
	--disable-static \
	--with-bw-pixmap=xdm-pld-logo-bw.xpm \
	--with-color-pixmap=xdm-pld-logo.xpm \
	--with-default-vt=vt9 \
	--with-pixmapdir=%{_sysconfdir}/X11/xdm/pixmaps \
	--with-authdir=/var/lib/xdm \
	--with-xdmconfigdir=%{_sysconfdir}/X11/xdm \
	--with-xdmscriptdir=%{_sysconfdir}/X11/xdm

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/xdm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	appdefaultdir=%{_datadir}/X11/app-defaults

rm -f $RPM_BUILD_ROOT%{_libdir}/X11/xdm/libXdmGreet.la

# set up PLD xdm config
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/xdm/{*Console,Xaccess,Xsession,Xsetup*}
install xdm-xinitrc-*/pixmaps/* $RPM_BUILD_ROOT%{_sysconfdir}/X11/xdm/pixmaps
install xdm-xinitrc-*/{*Console,Xaccess,Xsession,Xsetup*} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xdm

install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/xdm
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/xdm
install -D %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/xdm
install -d $RPM_BUILD_ROOT/etc/security
:> $RPM_BUILD_ROOT/etc/security/blacklist.xdm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add xdm
if [ -f /var/lock/subsys/xdm ]; then
	echo "Run \"/sbin/service xdm restart\" to restart xdm." >&2
	echo "WARNING: it will terminate all sessions opened from xdm!" >&2
else
	echo "Run \"/sbin/service xdm start\" to start xdm." >&2
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del xdm
	%service xdm stop
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xdm
%attr(755,root,root) %{_bindir}/xdmshell
%{_datadir}/X11/app-defaults/Chooser
%dir %{_libdir}/X11/xdm
%attr(755,root,root) %{_libdir}/X11/xdm/libXdmGreet.so
%attr(755,root,root) %{_libdir}/X11/xdm/chooser
%dir %{_sysconfdir}/X11/xdm
# scripts
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/GiveConsole
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/TakeConsole
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xreset
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xsession
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xsetup_0
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xstartup
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xwilling
# configs
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xaccess
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xresources
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/Xservers
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xdm/xdm-config
# pixmaps
%{_sysconfdir}/X11/xdm/pixmaps
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/xdm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.xdm
%attr(754,root,root) /etc/rc.d/init.d/xdm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xdm
%dir /var/lib/xdm
%{_mandir}/man1/xdm.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xdm.spec,v $
Revision 1.41  2009/10/08 15:31:28  qboosh
- updated util-macros version

Revision 1.40  2009/09/20 06:03:14  arekm
- up to 1.1.9

Revision 1.39  2008/11/11 16:57:24  arekm
- rel 3; fix xaw related build

Revision 1.38  2008/11/07 20:51:17  arekm
- release 2

Revision 1.37  2008/05/21 18:36:25  arekm
- up to 1.1.8

Revision 1.36  2008-03-08 01:05:30  qboosh
- updated to 1.1.7
- workaround for @DESTDIR@ Makefile.am bug

Revision 1.35  2007-10-27 13:07:19  arekm
- rel 2; use pam_ck_connector.so for session

Revision 1.34  2007/08/21 21:24:45  qboosh
- added AUTHORS,README to doc

Revision 1.33  2007/08/17 09:06:44  arekm
- up to 1.1.6

Revision 1.32  2007/08/10 18:02:58  arekm
- up to 1.1.5

Revision 1.31  2007/08/04 14:52:07  patrys
- don't obsolete other greeters
- rel up

Revision 1.30  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.28  2007/02/11 13:30:20  baggins
- rel 2
- R: pam >= 0.99.7.1

Revision 1.27  2007/02/07 17:44:40  glen
- add TODO

Revision 1.26  2007/02/07 17:34:38  qboosh
- updated to 1.1.4

Revision 1.25  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.24  2006/12/16 15:24:21  arekm
- up to 1.1.3

Revision 1.23  2006/12/02 09:58:54  qboosh
- now it uses Xft by default - BR: xorg-lib-libXft-devel

Revision 1.22  2006/11/30 18:50:11  arekm
- up to 1.1.2

Revision 1.21  2006/11/15 08:56:15  qboosh
- updated to 1.1.1, updated pam_tty,config patches

Revision 1.20  2006/10/15 00:27:08  qboosh
- works at last, release 1

Revision 1.19  2006/10/15 00:23:42  qboosh
- sed calls replaced by config patch (+--with-xdmauthdir configure option)
- fixed auth dir substitution, now it works
- release 0.6

Revision 1.18  2006/10/15 00:15:07  qboosh
- use PLD logos by default, release 0.5

Revision 1.17  2006/10/14 23:24:29  qboosh
- added pam_tty patch (fixes auth with supplied pam.d file)
- fix apps paths in Xstartup,Xreset scripts
- release 0.4

Revision 1.16  2006/10/14 22:25:18  qboosh
- setup default paths (no, we don't want /usr/ucb in them)
- R: xrdb (used by xdm), xterm (default user session)
- release 0.3

Revision 1.15  2006/10/14 21:52:56  qboosh
- fix apps paths in xdm-xinitrc; require used apps (xconsole, xsetroot)
- merged post/preun scripts for monolith, chkconfig deps
- release 0.2

Revision 1.14  2006/10/14 20:37:46  qboosh
- build with default vt=vt9 (following X11-xdm-fixes patch)

Revision 1.13  2006/10/04 06:33:06  arekm
- up to 1.1.0

Revision 1.12  2006/06/23 08:39:19  qboosh
- updated to 1.0.5

Revision 1.11  2006/05/08 16:36:45  arekm
- up to 1.0.4

Revision 1.10  2006/04/03 13:07:45  qboosh
- added Xsession patch

Revision 1.9  2006/04/02 10:09:12  qboosh
- updated to 1.0.3 (bugfixes, including /tmp files creation)

Revision 1.8  2006/02/03 14:34:47  qboosh
- copy-pasto

Revision 1.7  2006/02/03 14:32:19  qboosh
- moved config files and scripts to /etc/X11/xdm
- changed DEF_AUTH_DIR to /var/lib/xdm
- merged sources from monolith (xdm-xinitrd-0.2, xdm.pamd, xdm.init, xdm.sysconfig)

Revision 1.6  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.5  2006/01/12 14:19:56  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.4  2005/12/09 14:50:50  qboosh
- 0.99.4 (X11R7.0-RC3)

Revision 1.3  2005/11/19 21:30:58  qboosh
- 0.99.3 (X11R7.0-RC2)

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/22 00:03:53  qboosh
- new
